#ifndef BLUETOOTHAVRCPADAPTER_H
#define BLUETOOTHAVRCPADAPTER_H

#include <QObject>
#include <QtDBus/QDBusVariant>

class BluetoothAVRCPAdapter : public QObject
{
    Q_OBJECT
public:
    explicit BluetoothAVRCPAdapter(QObject *parent = 0);

signals:
    void connected();
    void disconnected();

    void playOrPause();
    void stop();

    void next();
    void previous();

private slots:
    void handleControlConnected();
    void handleControlDisconnected();
    void handleInputDeviceConditionSignal(QString event, QString state);

private:
    bool deviceConnected_;
};

#endif // BLUETOOTHAVRCPADAPTER_H
